@echo on
for %%a in (dane\xml1\*.xml) do (
echo Walidacja: "%%a": >> Wyniki_XML1.txt
"C:\Program Files (x86)\Altova\AltovaXML2013\AltovaXML_COM.exe" /validate "%%a" /schema "schemat.xsd" >> Wyniki_XML1.txt)

for %%a in (dane\xml2\*.xml) do (
echo Walidacja: "%%a": >> Wyniki_XML2.txt
"C:\Program Files (x86)\Altova\AltovaXML2013\AltovaXML_COM.exe" /validate "%%a" /schema "schemat.xsd" >> Wyniki_XML2.txt)

for %%a in (dane\xml3\*.xml) do (
echo Walidacja: "%%a": >> Wyniki_XML3.txt
"C:\Program Files (x86)\Altova\AltovaXML2013\AltovaXML_COM.exe" /validate "%%a" /schema "schemat.xsd" >> Wyniki_XML3.txt)
pause